no-deref-link1
来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 43 行
TXT
43 行
#!/bin/sh# FIXME: This test requires ln -s.# cp from 3.16 fails this testif test "$VERBOSE" = yes; then set -x cp --versionfipwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0trap '(exit $?); exit' 1 2 13 15framework_failure=0mkdir -p $tmp || framework_failure=1cd $tmp || framework_failure=1if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 (exit 1); exitfimkdir a bmsg=barecho $msg > a/foocd bln -s ../a/foo .cd ..fail=0# It should fail with a message something like this:# ./cp: `a/foo' and `b/foo' are the same filecp -d a/foo b 2>/dev/null# Fail this test if the exit status is not 1test $? = 1 || fail=1test "`cat a/foo`" = $msg || fail=1(exit $fail); exit
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?